## librcc 0.2.9

=== debian/changelog ===
librcc (0.2.9-3.1ubuntu1) trusty; urgency=low

  * debian/patches/fix-segfault.patch: (LP: #1183580)
    - Add patch from upstream to fix a segfault in rccGetDefaultLanguage

 -- Andreas Moog <amoog@ubuntu.com>  Sun, 17 Nov 2013 12:04:59 +0100

librcc (0.2.9-3.1build1) trusty; urgency=low

  * No change rebuild against db 5.3.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 01 Nov 2013 23:42:48 +0000

librcc (0.2.9-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Including individual glib headers no longer supported":
    Add patch glib-single-include.patch from Colin Watson:
    - Include <glib.h> rather than individual headers.
    (Closes: #665573)

 -- gregor herrmann <gregoa@debian.org>  Sat, 18 May 2013 18:49:39 +0200

librcc (0.2.9-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.1
    - add patch from ubuntu (Closes: #619675)

 -- Ivan Borzenkov <ivan1986@list.ru>  Mon, 28 Mar 2011 00:01:50 +0400

librcc (0.2.9-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
    - add misc:Depends
  * change rules to new debhelper
  * chande source format to 3.0(quilt)

 -- Ivan Borzenkov <ivan1986@list.ru>  Fri, 16 Apr 2010 23:47:54 +0400

librcc (0.2.9-1) unstable; urgency=low

  * New upstream release
  * all patches in upstream - remove

 -- Ivan Borzenkov <ivan1986@list.ru>  Tue, 13 Oct 2009 15:54:27 +0400

librcc (0.2.8-3) unstable; urgency=low

  * Bump Standards-Version to 3.8.3
    - add remove_slash.patch for fix lintian error
  * fix building with eglibc (Closes: #550065)
  * add patch of segfault in db4.7

 -- Ivan Borzenkov <ivan1986@list.ru>  Sun, 11 Oct 2009 11:25:55 +0400

librcc (0.2.8-2) unstable; urgency=low

  * Fix Replaces for librccgtk2-0

 -- Ivan Borzenkov <ivan1986@list.ru>  Sun, 18 Jan 2009 20:16:59 +0300

librcc (0.2.8-1) unstable; urgency=low

  * New upstream release
  * Change License - GPL2 to LGPL2.1
  * Split librcc0 to librcc0 and librcc0-gtk (Closes: #512044)

 -- Ivan Borzenkov <ivan1986@list.ru>  Sat, 17 Jan 2009 10:52:15 +0300

librcc (0.2.7-3) unstable; urgency=low

  * move gen doc to binary-arch (wait to split package) (Closes: #511823)

 -- Ivan Borzenkov <ivan1986@list.ru>  Fri, 16 Jan 2009 21:00:40 +0300

librcc (0.2.7-2) unstable; urgency=low

  * Fix License - GPL to GPL2

 -- Ivan Borzenkov <ivan1986@list.ru>  Fri, 26 Dec 2008 03:12:34 +0300

librcc (0.2.7-1) unstable; urgency=low

  * NO Repack original source - original is good
  * New upstream release

 -- Ivan Borzenkov <ivan1986@list.ru>  Tue, 16 Dec 2008 22:58:17 +0300

librcc (0.2.6-3) unstable; urgency=low

  * Repack original source
  * del source.lintian-overrides

 -- Ivan Borzenkov <ivan1986@list.ru>  Tue, 09 Dec 2008 01:16:27 +0300

librcc (0.2.6-2) unstable; urgency=low

  * add source.lintian-overrides when original code is not fox
  * fix clean error when original Makefile is exist
  * add watch file

 -- Ivan Borzenkov <ivan1986@list.ru>  Thu, 20 Nov 2008 23:14:01 +0300

librcc (0.2.6-1) unstable; urgency=low

  * Initial release (Closes: #507294)

 -- Ivan Borzenkov <ivan1986@list.ru>  Sun, 16 Nov 2008 03:15:55 +0300
