=== debian/control ===
Source: librcc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ivan Borzenkov <ivan1986@list.ru>
Build-Depends: debhelper (>= 7.0.50~), librcd-dev, libenca-dev, libdb-dev,
 libxml2-dev, libaspell-dev, doxygen, automake, libtool, pkg-config, libgtk2.0-dev
Standards-Version: 3.9.1
Section: libs
Homepage: http://rusxmms.sourceforge.net/

Package: librcc0
Section: libs
Architecture: any
Depends: librcd0, libenca0, ${shlibs:Depends}, ${misc:Depends}
Description: Library for autoconvert codepages
 Originally, the project was aimed to provide means to work with
 multiple encodings
  * Language Autodetection
  * On the fly translation between languages, using online-services!
  * Encoding Autodetection for most of European Languages1
  * Support for encoding detection plugins (besides Enca and LibRCD)
  * Recoding/translation of multi-language playlists!
  * Cache to speed-up re-recoding.
  * Possibility to configure new languages and encodings.
  * Shared configuration file. For example mentioned TagLib and
    LibID3 patches do not have their own user interface, but will
    utilize the same recoding configuration as XMMS.
  * As well the separate program for configuration adjustment is
    available.
  * GTK/GTK2 UI Library: you can add properties page to your GTK+
    application with 3 lines of code.
  * Menu localization opportunity

Package: librccgtk2-0
Section: libs
Architecture: any
Depends: librcc0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: librcc0 (<< 0.2.8-1)
Description: Library for autoconvert codepages GTK2 interface
 Originally, the project was aimed to provide means to work with
 multiple encodings
  * Language Autodetection
  * On the fly translation between languages, using online-services!
  * Encoding Autodetection for most of European Languages1
  * Support for encoding detection plugins (besides Enca and LibRCD)
  * Recoding/translation of multi-language playlists!
  * Cache to speed-up re-recoding.
  * Possibility to configure new languages and encodings.
  * Shared configuration file. For example mentioned TagLib and
    LibID3 patches do not have their own user interface, but will
    utilize the same recoding configuration as XMMS.
  * As well the separate program for configuration adjustment is
    available.
  * GTK/GTK2 UI Library: you can add properties page to your GTK+
    application with 3 lines of code.
  * Menu localization opportunity
 This package contains GTK/GTK2 UI Library.

Package: librcc-dev
Section: libdevel
Architecture: any
Depends: librcc0 (= ${binary:Version}), librccgtk2-0 (= ${binary:Version}),
 librcd-dev, ${shlibs:Depends}, ${misc:Depends}
Description: Library for autoconvert codepages development files
 Originally, the project was aimed to provide means to work with
 multiple encodings
  * Language Autodetection
  * On the fly translation between languages, using online-services!
  * Encoding Autodetection for most of European Languages1
  * Support for encoding detection plugins (besides Enca and LibRCD)
  * Recoding/translation of multi-language playlists!
  * Cache to speed-up re-recoding.
  * Possibility to configure new languages and encodings.
  * Shared configuration file. For example mentioned TagLib and
    LibID3 patches do not have their own user interface, but will
    utilize the same recoding configuration as XMMS.
  * As well the separate program for configuration adjustment is
    available.
  * GTK/GTK2 UI Library: you can add properties page to your GTK+
    application with 3 lines of code.
  * Menu localization opportunity
 This package contains the include files, static library and
 development tools for librcc, as well as the testlibraw program.
