=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	./configure --prefix=/usr --disable-libtranslate --enable-force-dynamic-engines

override_dh_auto_build:
	cd docs/api && doxygen Doxyfile
	dh_auto_build

override_dh_clean:
	test ! -f Makefile || $(MAKE) clean distclean distclean-am
	rm -rf docs/api/html
	rm -rf examples/Makefile statgen/Makefile examples/.deps
	rm -f aclocal.m4 m4/libtool.m4 m4/ltversion.m4
	rm -f configure examples/Makefile config.guess ltmain.sh config.sub config.h.in
	find ./ -name 'Makefile.in' -delete
	dh_clean


override_dh_auto_install:
	dh_auto_install
	for file in debian/tmp/usr/lib/*.la; do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done
