## librcc 0.2.12

=== debian/changelog ===
librcc (0.2.12-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream version, closes: #740612. High urgency as bug is RC.
  * Remove obsolete glib-single-include.patch.
  * Increase debhelper version to 9, to get hardening features.
  * Fix sed line to clear dependency_libs in all .la files.
  * Added Vcs-* fields in control file.
  * Bumped Standards-Version (no changes needed).
  * Made watchfile more specific, to ignore some bogus files from upstream.

 -- Martín Ferrari <tincho@debian.org>  Sun, 09 Mar 2014 21:11:06 +0100
