=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: librcc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ivan Borzenkov <ivan1986@list.ru>
-Build-Depends: debhelper (>= 7.0.50~), librcd-dev, libenca-dev, libdb-dev,
- libxml2-dev, libaspell-dev, doxygen, automake, libtool, pkg-config, libgtk2.0-dev
-Standards-Version: 3.9.1
+Maintainer: Ivan Borzenkov <ivan1986@list.ru>
+Build-Depends: debhelper (>= 9), librcd-dev, libenca-dev, libdb-dev,
+ libxml2-dev, libaspell-dev, doxygen, automake, libtool, pkg-config,
+ libgtk2.0-dev
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://rusxmms.sourceforge.net/
+Vcs-Bzr: http://dside.dyndns.org/bzr/rusxmms/librcc
+Vcs-Browser: http://dside.dyndns.org/rusxmms/browser/librcc
 
 Package: librcc0
 Section: libs
