=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://dside.dyndns.org/files/rusxmms/librcc-([0-9.]*\.[0-9.]*\.[0-9.]*)\.tar\.bz2
