## librcc 0.2.13+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,10 @@
     SET(USR_FOLDER "C:/DEVEL/UNIX" CACHE PATH "Path to libraries and includes")
     SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES};${USR_FOLDER}/include)
     INCLUDE_DIRECTORIES(${USR_FOLDER}/include)
+    INCLUDE_DIRECTORIES(${CMAKE_INSTALL_PREFIX}/include)
+    INCLUDE_DIRECTORIES(${CMAKE_INSTALL_PREFIX}/include/libxml2)
     
-    find_library(ZLIB_LIBRARY NAMES zlib PATHS ${USR_FOLDER} PATH_SUFFIXES "lib")
+    find_library(ZLIB_LIBRARY NAMES zlib z PATHS ${USR_FOLDER} PATH_SUFFIXES "lib")
     if (NOT ZLIB_LIBRARY)
 	MESSAGE(FATAL_ERROR "Could not find zlib")
     endif()
@@ -24,17 +26,17 @@
 	MESSAGE(FATAL_ERROR "Could not find iconv")
     endif ()
     
-    find_library(ENCA_LIBRARY NAMES libenca PATHS ${USR_FOLDER} PATH_SUFFIXES "lib")
+    find_library(ENCA_LIBRARY NAMES libenca PATHS ${USR_FOLDER} ${CMAKE_INSTALL_PREFIX} PATH_SUFFIXES "lib")
     if (ENCA_LIBRARY)
 	SET(HAVE_ENCA TRUE)
     endif()
     
-    find_library(LIBRCD_LIBRARY NAMES rcd PATHS ${USR_FOLDER} PATH_SUFFIXES "lib")
+    find_library(LIBRCD_LIBRARY NAMES rcd PATHS ${USR_FOLDER} ${CMAKE_INSTALL_PREFIX} PATH_SUFFIXES "lib")
     if (LIBRCD_LIBRARY)
 	SET(HAVE_RCD TRUE)
     endif()
 
-    find_library(WSOCK_LIBRARY NAMES wsock32)
+    find_library(WSOCK_LIBRARY NAMES wsock32 PATHS ${USR_FOLDER} PATH_SUFFIXES "lib")
     if (NOT WSOCK_LIBRARY)
 	MESSAGE(FATAL_ERROR "Could not find wsock library")
     endif()
