=== examples/CMakeLists.txt ===
SET(CMAKE_INCLUDE_CURRENT_DIR ON)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../src)
LINK_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR}/../src)

ADD_EXECUTABLE(example1 example1.c)
ADD_EXECUTABLE(example2 example1.c)

TARGET_LINK_LIBRARIES(example1 rcc)
TARGET_LINK_LIBRARIES(example2 rcc)

#TARGET_LINK_LIBRARIES(librcc ${LIBXML2_LIBRARY} ${ICONV_LIBRARY} ${ENCA_LIBRARY} ${LIBRCD_LIBRARY})
