=== src/CMakeLists.txt ===
--- 
+++ 
@@ -66,5 +66,5 @@
     ${HEADERS}
 )
 
-ADD_LIBRARY(rcc ${rcc_SRCS})
+ADD_LIBRARY(rcc SHARED ${rcc_SRCS})
 TARGET_LINK_LIBRARIES(rcc ${LIBXML2_LIBRARY} ${ICONV_LIBRARY} ${ENCA_LIBRARY} ${LIBRCD_LIBRARY} ${ZLIB_LIBRARY} ${WSOCK_LIBRARY})
