=== debian/changelog ===
librcc (0.2.13+ds-2build4) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:18:04 +0200

librcc (0.2.13+ds-2build3) noble; urgency=medium

  * No-change rebuild against libdb5.3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 06 Apr 2024 01:15:11 +0000

librcc (0.2.13+ds-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:13:08 +0000

librcc (0.2.13+ds-2build1) noble; urgency=medium

  * No-change rebuild against libdb5.3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2024 20:34:15 +0000

librcc (0.2.13+ds-2) unstable; urgency=medium

  * QA upload.
  * No-change upload to unstable to enable build on buildds.

 -- Tobias Frost <tobi@debian.org>  Tue, 13 Sep 2022 14:52:58 +0200

librcc (0.2.13+ds-1) experimental; urgency=medium

  [ Tobias Frost ]
  * QA upload.
  * Add gbp config and salsa-ci config.

  [ Hugh McMaster ]
  * New upstream version (Closes: #829889, #949409).
  * Set Maintainer to Debian QA Group (see #875348).
  * Drop librcc GTK+ packaging due to minimal use.
  * debian/changelog: Trim trailing whitespace.
  * debian/control:
    + Priority: extra -> optional.
    + Switch to debhelper-compat v13 and drop debian/compat file.
    + Point Vcs-* fields to Debian Salsa.
    + Raise Standards-Version to 4.6.1 from 3.9.5 (no changes needed).
    + Declare Rules-Requires-Root: no.
    + Build-Depends: drop libgtk2.0-dev (Closes: #967587).
    + Drop librccgtk2-0 binary package.
    + Add separate librccui0 binary package.
    + Split documentation and examples into a new package: librcc-doc.
    + Let dh_shlibs calculate shared library dependencies.
    + Add Multi-Arch fields to all binary packages.
    + Update package descriptions.
    + Remove duplicated Section fields.
    + Trim trailing whitespace.
  * debian/copyright: Convert to DEP-5 format and update.
  * debian/gbp.conf: Use DEP-14 branch naming.
  * debian/rules:
    + Let dh_auto_configure pass --host to ./configure (Closes: #864625).
    + Let dh_auto_clean remove build-time files.
    + Drop dh_auto_install override.
    + Install the development documentation in librcc-dev but package the
      files in librcc-doc (as preferred by Debian Policy section 12.3).
    + Add hardening flags to DEB_BUILD_MAINT_OPTIONS.
    + Set DPKG_GENSYMBOLS_CHECK_LEVEL to level 4.
  * debian/upstream: Add metadata file.
  * debian/watch: Use version 4 and point to upstream's GitHub repository.
  * Use multi-arch installation paths.
  * Add symbols files.
  * librcc-dev:
    + Install librcc's pkg-config file.
    + Don't install static libraries, *.la files or rccexternal.
    + Move the development documentation and examples into librcc-doc.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 29 Aug 2022 22:17:52 +1000
