=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --enable-force-dynamic-engines \
	  --disable-libtranslate --disable-gtk2 --disable-gtk3

override_dh_auto_build:
	dh_auto_build
	cd docs/api && doxygen Doxyfile

override_dh_installdocs-indep:
	dh_installdocs -p librcc-doc --doc-main-package=librcc-dev

override_dh_clean:
	rm -rf docs/api/html
	dh_clean
