=== debian/watch ===
version=4
opts="repacksuffix=+ds, \
      repack, compression=xz, \
      dversionmangle=s/@DEB_EXT@//" \
  https://github.com/RusXMMS/librcc/tags .*/librcc-(\d\S+)\.tar\.gz
